お好みオーダー取得
GET
/custom_orders/{custom_order_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/custom_orders/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/custom_orders/example \ --header 'Authorization: Bearer <token>'お好みオーダーを取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”custom_order_id
required
string
お好みオーダーID
Responses
Section titled “Responses”OK
Media typeapplication/json
CustomOrder
お好みオーダー情報
object
customId
お好みオーダーID
string
customName
お好みオーダー名
string
contents
お好みオーダー内容
Array
object
customContentId
お好みオーダー内容ID
string
customContentName
お好みオーダー内容名
string
sortNo
ソート番号
integer
Examples
Exampleレスポンス例
{ "customId": "1", "customName": "飲み方", "contents": [ { "customContentId": "11", "customContentName": "ロック", "sortNo": 1 }, { "customContentId": "12", "customContentName": "水割り", "sortNo": 2 }, { "customContentId": "22", "customContentName": "ストレート", "sortNo": 3 } ]}指定したデータが存在しない場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}